%global momorel 5
%global emacsver 22.3
%global xemacsver 21.5.28
%global e_sitedir %{_datadir}/emacs/site-lisp
#%%global xe_sitedir  %{_datadir}/xemacs/site-lisp
%global sitepdir  %{_datadir}/xemacs/site-packages

Name: elisp-muse
Version: 3.12
Release: %{momorel}m%{?dist}
Summary: Emacs Muse is an authoring and publishing environment for Emacs
Group: Applications/Editors
License: GPLv3
Source0: http://download.gna.org/muse-el/muse-%{version}.tar.gz
URL: http://www.mwolson.org/projects/MuseMode.html
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}
BuildRequires: texinfo
Requires: emacsen

%description 
Emacs Muse is an authoring and publishing environment for Emacs. It
simplifies the process of writings documents and publishing them to
various output formats. Muse uses a very simple Wiki-like format as
input.

Muse consists of two main parts: an enhanced text-mode for authoring
documents and navigating within Muse projects, and a set of publishing
styles for generating different kinds of output.

%package -n muse-emacs
Summary: Emacs Muse is an authoring and publishing environment for Emacs
Group: Applications/Editors
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}
Requires: tetex-latex
PreReq: info

%description -n muse-emacs
This package contains the files required to use Muse with Emacs.

%package -n muse-xemacs
Summary: Emacs Muse is an authoring and publishing environment for Emacs
Group: Applications/Editors
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}
Requires: tetex-latex

%description -n muse-xemacs
This package contains the files required to use Muse with XEmacs.

%prep
%setup -q -n muse-%{version}

%build 

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

# emacs
make all doc experimental EMACS=emacs SITEFLAG=-no-site-file
mkdir -p %{buildroot}%{_infodir}
make install \
  PREFIX=%{buildroot}%{_usr} \
  INFODIR=%{buildroot}%{_infodir} \
  INSTALLINFO="/sbin/install-info --infodir=%{buildroot}%{_infodir}"
(cd experimental; make install PREFIX=%{buildroot}%{_usr})

make clean

# xemacs
#make all experimental EMACS=xemacs SITEFLAG=-no-site-file 
make all EMACS=xemacs SITEFLAG=-no-site-file 
make install-bin ELISPDIR=%{buildroot}%{sitepdir}/lisp/muse
#(cd experimental; make install ELISPDIR=%{buildroot}/%{sitepdir}/lisp/muse)

rm -f %{buildroot}%{_infodir}/dir

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post -n muse-emacs
/sbin/install-info %{_infodir}/muse* %{_infodir}/dir 2>/dev/null || :

%preun -n muse-emacs
if [ $1 -eq 0 ]; then
  /sbin/install-info --delete %{_infodir}/muse* %{_infodir}/dir 2>/dev/null || :
fi

%files
%defattr(-,root,root,-)
%doc README NEWS AUTHORS COPYING ChangeLog ChangeLog.1 ChangeLog.2 ChangeLog.3 
%doc texi/muse.html examples etc scripts

%files -n muse-emacs
%defattr(-,root,root,-)
%{e_sitedir}/muse
%{_infodir}/muse*

%files -n muse-xemacs
%defattr(-,root,root,-)
%{sitepdir}/lisp/muse

%changelog
* Sun Sep 07 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.12-5m)
- rebuild against emacs-22.3

* Thu Jul 24 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.12-4m)
- rebuild against xemacs-21.5.28

* Sat Apr 19 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.12-3m)
- rebuild against emacs-22.2

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.12-2m)
- rebuild against gcc43

* Tue Feb 26 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.12-1m)
- update to 3.12

* Sat Aug 25 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.11-1m)
- update to 3.11
- switch license to GPLv3

* Mon Jul  9 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.03-1m)
- update to 3.03

* Sat Jun 30 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.02.93-3m)
- rebuild against xemacs-21.4.20 and xemacs-sumo-2007.04.27

* Sun Jun  3 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.02.93-2m)
- rebuild against emacs-22.1

* Sat Apr 14 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.02.93-1m)
- initial packaging
